; CALLBACK.CMD

; A COMMAND FILE TO USE PROCOMM HOST MODE ON SINGLE PHONE LINE WITHOUT
; TYING UP THE LINE FOR THAT ONE PURPOSE.   MODEM USED MUST SUPPORT EXTENDED
; RESULT CODES ALA "HAYES 1200".


TRACE ON                                   ; AS AN OPTION - SET "TRACE ON"
                                           ; HERE TO CHECK THE PROGRESS OF
                                           ; THE FILE AS IT EXECUTES

START:
        TRANSMIT "ATZ!"                    ; THIS PART OF THE CMD FILE
        SET BAUDRATE 1200                  ; FIRST RESETS THE MODEM TO
        SET DATABITS 8                     ; DEFAULT SETTINGS AND THEN
        SET PARITY NONE                    ; CHANGES THEM TO THE DESIRED
        SET PORT COM1                      ; ONES.  THIS ASSURES A BASE-
        SET STOPBITS 1                     ; LINE TO SET YOUR MODEM FROM


        TRANSMIT "ATM0Q0X4V1!"             ; THIS LINE IS CRUCIAL  -  IT
                                           ; SETS THE MODEM TO GIVE THE
                                           ; EXTENDED RESULT CODES AS WELL
                                           ; AS ANY OTHER BELLS AND
                                           ; WHISTLES YOU MIGHT WISH.
                                           ; THE MINIMUM TO USE IS "ATX4!"
                                           ; TO SET UP THE EXTENDED RESULT
                                           ; CODES FROM YOUR MODEM BACK TO
                                           ; PROCOMM

RING1:

        WAITFOR "RING"  6000               ; THIS WAITFOR TIME IS NOT
           IF WAITFOR                      ; CRITICAL - BUT HAVING A
               GOTO RING2                  ; LONG ONE IS HANDY
           ELSE
               GOTO RING1

RING2:
        WAITFOR "RING" 10                  ; THESE WAITFOR TIMES ARE MORE
                                           ; IMPORTANT.
RING3:                                     ;
        WAITFOR "RING" 10                  ; THE BASIC IDEA IS THAT
           IF WAITFOR                      ; IF THE MODEM SENDS A "RING"
                GOTO ANSERMACH             ; RESULT CODE TO PROCOMM
           ELSE                            ; TWICE WITHIN A SHORT PERIOD OF
                GOTO SECNDRNG1             ; TIME THE FILE "ARMS" ITSELF.
                                           ; IF IT IS ARMED, IT WILL ANSWER
                                           ; IN HOST MODE THE NEXT TIME IT
                                           ; GETS A RING RESULT SENT TO IT.
                                           ; (BUT ONLY AFTER A 10 SECOND TIMER
                                           ; HAS MADE SURE THE NEXT "RING"
                                           ; CODE IS FROM A SECOND PHONE CALL).
                                           ; MORE THAN TWO RINGS AT THIS
                                           ; TIME AND THE FILE "UN-COCKS"
                                           ; AND LETS THE ANSWERING MACHINE
                                           ; TAKE OVER THE PHONE LINE AND
                                           ; ANSWER ON A 3RD OR LATER
                                           ; RING OF THIS FIRST CALL








SECNDRNG1:                                 ; HERE THE COCKED COMPUTER WILL
        WAITFOR "RING" 45                  ; ANSWER IN HOST MODE AS LONG AS
           IF WAITFOR                      ; THE NEXT CALL COMES WITHIN THE
                GOTO HOSTMODE              ; WAITFOR PERIOD - ANY LONGER
           ELSE                            ; THAN THAT AND IT UNCOCKS AND
                GOTO RING1                 ; STARTS OVER.  THIS WAITFOR
                                           ; TIME IS ONE OF THE MOST
                                           ; IMPORTANT - SO EXPERIMENT WITH
                                           ; WHAT WORKS WELL ON YOUR
                                           ; MACHINE.




ANSERMACH:                                 ; THE IDEA HER IS TO LEAVE THE
        WAITFOR "GHJ" 60                   ; CMD FILE IN IDLE UNTIL THE
         IF WAITFOR                        ; ANSWERING MACHINE PICKS UP THE
               GOTO RING1                  ; PHONE AND STARTS UP SINCE WE
          ELSE                             ; KNOW THAT THE COMPUTER ISN'T
               GOTO RING1                  ; TO ANSWER.



HOSTMODE:
        HOST                               ; THIS IS REGULAR HOST MODE



RESET:                                     ; WHEN YOU ARE DONE ON LINE USE
        GOTO START                         ; THE CONTROL-Z KEY COMBINATION
                                           ; TO END THE HOST MODE AND
                                           ; RESTART THIS COMMAND FILE AND
                                           ; THE ANSWERING MACHINE WIll
                                           ; STILL WORK AS WELL AS THE
                                           ; COMPUTER HOST MODE
