echo off
rem ZMODEM-U.BAT
rem
rem              Zenith Z-181 laptop 2x3.5" drive version
rem                       by Prof. Timo Salmi
rem                          26-Nov-1988
rem
rem      P.O. BOX 297, University of Vaasa, SF-65101 Vaasa, Finland
rem
rem  The purpose of this batch is to upload a file with Procomm Plus using
rem  the ZMODEM protocol with no harddisk available.
rem
rem  1) Put this batch file in your Procomm Plus directory (here A:\).
rem
rem  2) Set an External Protocol Upload Filename as ZMODEM-U in
rem     Procomm Plus Protocol Options in the Setup Facility.
rem     Procomm Plus setup facility is invoked by Alt-S.
rem
rem  3) Put the disk containing the file you are going to upload
rem     in drive B:  The file must be in B:\ (i.e. the root).
rem
rem  4) At the remote end tell the system that you are going to upload.
rem     In an Opus bulletin board simply write uz
rem
rem  5) In Procomm Plus by press the PageUp key and select the
rem     relevant external upload protocol.
rem     A ZMODEM-U parameters prompt appears. Give the name of
rem     your file. NO PATHNAMES when using this batch !
rem     The batch will copy your file to D:\ (I have a ramdisk in D)
rem
rem  6) Put the disk (here BUTILS) with DSZ.COM in directory B:\ in
rem     the drive B: and press any key as instructed by the batch.
rem     DSZ.COM is a marketed by Omen Technology Inc.
rem
rem  7) The file will be uploaded and then deleted from D:
rem
rem  See ZMOD-U.BAT for uploading more than one file at a go.
rem
rem  For more information see DSZ.DOC e.g. in DSZ1019.ARC, or later.
rem  Also many public domain files contain useful advice. See e.g.
rem  PRCM-DSZ.ARC, DSZOP3.ARC, Z4PCPL.ARC, DSZHOWTO.ARC, PCPZMOD.ARC, etc.
rem
rem  Below, change the modem port number (1) if necessary.

if not exist b:\%1 goto err_1
echo on
copy b:\%1 d:\
echo off
echo Put the disk BUTILS in drive B:
pause
b:\dsz CON port 1 sz d:\%1
del d:\%1
goto out_1

:err_1
echo File b:\%1 was not found
echo To proceed and view the directory: press any key
pause
dir/w/p b:\
echo To try again
echo  1) First exit by pressing any key
echo  2) If the host still is receptive, invoke the upload anew by pressing
echo     PgUp in Procomm, else start the whole upload process from beginning
pause
goto out_2

:out_1
echo 
echo 
echo 
if errorlevel 1 pause
:out_2
echo on